QGIS Application - Bug report #738
GRASS modules lock up on attribute table access (Win32 native only)
2007-07-07 03:15 PM - bducke -

Status: Closed

Priority: Low

Assignee: nobody -

Category: GRASS

Affected QGIS version: Regression?: No
Operating System: Windows Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 10797
Description

This bug affects only native Win32 (MingW) builds of QGIS and GRASS.

Any GRASS module that attempts to access attribute table data for a GRASS vector map will hang randomly. This problem is not related
to any particular DBMI driver (like DBF). It has been confirmed to exist with at lease the sqlite driver, as well. You can use this sample
GRASS mapset to reproduce the problem: ftp:/ftp.rz.uni-kiel.de/pub/ufg/qgis-test.zip (ca. 10 MB). There is a simple vector points map in
the dataset. Try exporting it using v.out.ogr a couple of times: it will hang randomly, forcing you to stop and restart the module!

Since this bug spoils pretty much every GRASS vector module under, it is a real show stopper for the GRASS plugin under QGIS!

You will find more information on the GRASS developers mailing list:

http://grass.itc.it/pipermail/grass-dev/2007-July/032237.html

And this is as far as we got hunting for the bug:

http://grass.itc.it/pipermail/grass-dev/2007-July/032249.html

This is a really tough one, so any help will be greatly appreciated!

History

#1 - 2007-07-19 09:43 AM - bducke -

Some progress has been made on this, but the bug is not gone yet.

The problem is related to process communication via the Win32 anonymous pipe mechanism.

See this entry on the GRASS dev mailing list:

http://grass.itc.it/pipermail/grass-dev/2007-July/032334.html

#2 - 2007-07-21 06:46 PM - Tim Sutton

Reassigned to version 0.9

#3 - 2007-11-01 02:30 AM - Tim Sutton
- Resolution set to fixed
- Status changed from Open to Closed
Benjamin reports this bug fixed on the mailing list.

#4 - 2009-08-22 12:52 AM - Anonymous

Milestone Version 0.9.1 deleted
